pesa        15/07/13 00:51:16

  Modified:             ChangeLog qt5-build.eclass
  Log:
  Initial support for Qt 5.5

Revision  Changes    Path
1.1708               eclass/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1708&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1708&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1707&r2=1.1708

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1707
retrieving revision 1.1708
diff -u -r1.1707 -r1.1708
--- ChangeLog   9 Jul 2015 20:21:05 -0000       1.1707
+++ ChangeLog   13 Jul 2015 00:51:16 -0000      1.1708
@@ -1,6 +1,9 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1707 2015/07/09 
20:21:05 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1708 2015/07/13 
00:51:16 pesa Exp $
+
+  13 Jul 2015; Davide Pesavento <[email protected]> qt5-build.eclass:
+  Initial support for Qt 5.5
 
   09 Jul 2015; Michał Górny <[email protected]> git-r3.eclass:
   Do not attempt to use submodules for which the checkout path does not exist



1.21                 eclass/qt5-build.eclass

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt5-build.eclass?rev=1.21&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt5-build.eclass?rev=1.21&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt5-build.eclass?r1=1.20&r2=1.21

Index: qt5-build.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/qt5-build.eclass,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- qt5-build.eclass    17 Jun 2015 15:48:58 -0000      1.20
+++ qt5-build.eclass    13 Jul 2015 00:51:16 -0000      1.21
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt5-build.eclass,v 1.20 2015/06/17 
15:48:58 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt5-build.eclass,v 1.21 2015/07/13 
00:51:16 pesa Exp $
 
 # @ECLASS: qt5-build.eclass
 # @MAINTAINER:
@@ -535,9 +535,6 @@
                -system-zlib
                -system-pcre
 
-               # don't specify -no-gif because there is no way to override it 
later
-               #-no-gif
-
                # disable everything to prevent automagic deps (part 1)
                -no-mtdev
                -no-journald
@@ -545,8 +542,12 @@
                -no-freetype -no-harfbuzz
                -no-openssl
                $([[ ${QT5_MINOR_VERSION} -ge 5 ]] && echo -no-libproxy)
+               $([[ ${QT5_MINOR_VERSION} -ge 5 ]] && echo 
-no-xkbcommon-{x11,evdev})
                -no-xinput2 -no-xcb-xlib
 
+               # don't specify -no-gif because there is no way to override it 
later
+               #-no-gif
+
                # always enable glib event loop support
                -glib
 
@@ -578,7 +579,10 @@
                -iconv
 
                # disable everything to prevent automagic deps (part 3)
-               -no-cups -no-evdev -no-icu -no-fontconfig -no-dbus
+               -no-cups -no-evdev
+               $([[ ${QT5_MINOR_VERSION} -ge 5 ]] && echo -no-tslib)
+               -no-icu -no-fontconfig
+               -no-dbus
 
                # don't strip
                -no-strip
@@ -614,9 +618,16 @@
                # typedef qreal to double (warning: changing this flag breaks 
the ABI)
                -qreal double
 
-               # disable opengl and egl by default, override in qtgui and 
qtopengl
+               # disable OpenGL and EGL support by default, override in qtgui,
+               # qtopengl, qtprintsupport and qtwidgets
                -no-opengl -no-egl
 
+               # disable libinput-based generic plugin by default, override in 
qtgui
+               $([[ ${QT5_MINOR_VERSION} -ge 5 ]] && echo -no-libinput)
+
+               # disable gstreamer by default, override in qtmultimedia
+               $([[ ${QT5_MINOR_VERSION} -ge 5 ]] && echo -no-gstreamer)
+
                # use upstream default
                #-no-system-proxies
 
@@ -673,7 +684,7 @@
                QMAKE_LFLAGS_DEBUG= \
                "${projectdir}" \
                "$@" \
-               || die "qmake failed (${projectdir})"
+               || die "qmake failed (${projectdir#${S}/})"
 }
 
 # @FUNCTION: qt5_install_module_qconfigs




Reply via email to